@import '../../../styles.scss';

.card-container {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    
    @media only screen and (min-width: 1024px) {
        justify-content: left;
    }

    svg {
        height: 20px;
        margin: 4px;
        width: 20px;
    }

    .card {
        border: 1px solid $grey;
        border-radius: 1%;
        margin: 0.4em 0.5em;
        flex-grow: 1 1 0;

        .image {
            img {
                border: 1px 1px 0 1px solid $grey;
                border-top-left-radius: 1%;
                border-top-right-radius: 1%;
                cursor: pointer;
            }

            &:hover .image-options{
                display: block;
            }

            .image-options-div {
                position: relative;
                width: 100%;
            }

            .image-options {
                background: $transparent;
                cursor: pointer;
                display: block;
                padding-top: 2px;
                position: absolute;
                text-align: right;
                width: inherit;
                z-index: 4;

                .full-screen {
                    display: none;
                }

                @media only screen and (min-width: 1023px) {
                    display: none;

                    .full-screen {
                        display: inline;
                    }
                }
                
                svg {
                    color: $white;
                    height: 0.8em;
                    width: 0.8em;
                }
            }
        }
    
        .author-details {
            padding: 8px 2px;
            a {
                color: $blue;
                cursor: pointer;
                text-decoration: none;
                
                .author-name {
                    text-align: left;
                }
                svg {
                    float: right;
                    margin: 0 5px;
                }
            }            
        }
    }    
}